#property copyright "Copyright 2008, Ralph Ronnquist"

extern int pips = 50;
extern int count = 1000;

double chart[][6];

void PipsChartInit()
{
    ArrayResize( chart, WindowFirstVisibleBar() );
    PipsChartReset( chart, pips, count );
}


#import "PipsChartData.ex4"
int pcBars(double &chart[][]);
datetime pcTime(double &chart[][],int shift);
int pcCount(double &chart[][],int shift);
double pcOpen(double &chart[][],int shift);
double pcHigh(double &chart[][],int shift);
double pcLow(double &chart[][],int shift);
double pcClose(double &chart[][],int shift);

void PipsChartReset(double &chart[][],int pips,int bars);
bool PipsChartUpdate(double &chart[][],datetime t,double p);
void PipsChartShiftOut(double &data[]);
void PipsChartSave(double &chart[][],string filename);
void PipsChartLoad(double &chart[][],string filename);
#import

